 SUBROUTINE critphy(w,c)
!=========================== DOCUMENTATION ============================= 
!DOCDEBh*    PHY/critphy  *
!
!    NOM
! critphy(w,c)
!
!    DESCRIPTION 
!*
! Calcul du critere de raffinement sur la cellule
! Calculation of the cell refinement criterion
!*
! 
!    ENTREES / INPUT
! w    : objet de type "state" contenant les variables conservatives et primitives
!       / State object containing the conservative and primitive variables
!
!    SORTIES / OUTPUT
! w    : objet de type "state" contenant les variables conservatives et primitives
!       / State object containing the conservative and primitive variables
! c    : critere de raffinement / refinement criterion
!
!    SOURCE
! Ce logiciel est regi par la licence [CeCILL-B]
! This software is governed by the [CeCILL-B] license
!=========================== DEBUT DES DECLARATIONS ==================== 
!.1-----  Implicit, Use
  use phy_typ
  IMPLICIT NONE
!.2-----  Declaration
  type(state),intent(inout)          :: w !! objet de type "state" / State object
  real(kind=kind(0.d0)), intent(out) :: c !! critere / criterion
!=========================== DEBUT DU CODE EXECUTABLE ==================

! initialisations communes
  c=0.d0

  SELECT CASE (imodel_phy)

      CASE (2) ! bifluide isotherme
          c=dabs(w%vprim%v(6))

     CASE (1) ! SaintVenant
          c=dabs(w%vprim%v(4))

  END SELECT
!===========================   FIN DE LA ROUTINE    ====================
END SUBROUTINE critphy
!DOCFIN